Skip Navigation

[Resolved] Unable to update plug-ins

This thread is resolved. Here is a description of the problem and solution.

Problem:
Unable to update plug-ins

Solution:
You should try to update plugin manually.

You can find the proposed solution, in this case with the following reply:
https://toolset.com/forums/topic/unable-to-update-plug-ins/#post-1215263

Relevant Documentation:
https://toolset.com/faq/how-to-install-and-register-toolset/

This support ticket is created 3 years, 8 months ago. There's a good chance that you are reading advice that it now obsolete.

This is the technical support forum for Toolset - a suite of plugins for developing WordPress sites without writing PHP.

Everyone can read this forum, but only Toolset clients can post in it. Toolset support works 6 days per week, 19 hours per day.

Sun Mon Tue Wed Thu Fri Sat
- 10:00 – 13:00 10:00 – 13:00 10:00 – 13:00 10:00 – 13:00 10:00 – 13:00 -
- 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 14:00 – 18:00 -

Supporter timezone: Asia/Kolkata (GMT+05:30)

This topic contains 6 replies, has 2 voices.

Last updated by zoeS 3 years, 8 months ago.

Assigned support staff: Minesh.

Author
Posts
#1215094

Hello, I have been unable to update Types and Views for this site for a couple of weeks now. I get the error "The package could not be installed. (PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature)". What is the likely cause please?

#1215263

Minesh
Supporter

Languages: English (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hello. Thank you for contacting the Toolset support.

Well - the issue you shared is known to us.

After checking to debug information you shared with us, I found that you are using outdated Toolset plugins. We always recommend running your site with latest stable release plugin version.

*** Please make a FULL BACKUP of your database and website.***
For now, until this issue fixed, the only way to update the plugins is to follow the manual way using plugins page.
=> Try to remove the existing Toolset plugin
=> Download the latest Toolset plugins from your account's page: https://toolset.com/account/downloads/
=> Upload the latest plugins using plugins page

#1215430

Ok thank you Minesh, I thought that might be the solution, but there is another problem here, which is that I keep finding that I have to de-register and then re-register my sites in order for them to receive update notifications. I update all of my sites weekly so none of them should ever be out of date for long, but I noticed this weekend that 4 of my sites were not showing that their Types and Views versions were out of date and I had to de-register them and then re-register before they correctly showed the available updates. Is this a problem you are aware of? I can keep on top of it with the sites I personally maintain but if I were to do a site for a client who would then be running their own updates, we could have a problem.

#1215440

Minesh
Supporter

Languages: English (English )

Timezone: Asia/Kolkata (GMT+05:30)

Well - can you check with the next version and see it the update notification works for you.

What if you click on the "Register" or "Registered" link available with each Toolset plugin on plugins page and click on the button "Check for updates" - does that work?

#1215449

Yes I will check and I expect it will probably work fine for a while. I have noticed this happening with various different sites on and off for several months. I have tried the "check for updates" route as you suggest and I can't remember what the message was that came up, but the solution was always to un-register and then re-register the sites. I only noticed the problem by looking at the table of sites in my Toolset account and seeing that several of them had red marks against them.

#1216926

Minesh
Supporter

Languages: English (English )

Timezone: Asia/Kolkata (GMT+05:30)

This is really strange. If you notice this issue happens in near future. Please feel fee to report it.

#1216940

Ok will do thank you.